Skip to main content
GET
/
visitors
/
contacts
/
v1
Get contacts
curl --request GET \
  --url https://api.spacebring.com/visitors/contacts/v1 \
  --header 'Authorization: Basic <encoded-value>'
{
  "contacts": [
    {
      "createDate": "2023-11-07T05:31:56Z",
      "date": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "userRefVisitor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "visitor": {
        "email": "<string>",
        "name": "<string>",
        "phoneNumber": "<string>",
        "surname": "<string>"
      }
    }
  ],
  "nextPageToken": "<string>",
  "searchQueryNext": "<string>"
}

Authorizations

Authorization
string
header
required

See our authentication documentation for how to authorize your requests

Headers

spacebring-network-id
string<uuid>

The id of the network. Required when using bearer token authentication

Query Parameters

limit
integer

The maximum number of contacts to return. Default is 25.

Required range: 1 <= x <= 100
nextPageToken
string

Token to retrieve the next page of results. Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.

locationRef
string<uuid>
required

The id of the location.

Response

OK

contacts
object[]
nextPageToken
string

Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.

searchQueryNext
string

Pre-built query string for the next page of results. Contains all active filter parameters combined with the next page token, ready to append to the endpoint URL.